Skip to main content
POST
Update Entitlement

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from MarketONE.

Path Parameters

id
string
required

The id parameter is the partner subscription ID entity.

Maximum string length: 36

Body

application/json

Entitlement update request for product update

productCode
string
required

The new product code from the product catalog

Response

OK

partnerSubscriptionId
string
required

MarketONE partner service provisioning record identifier.

Maximum string length: 256
productCode
string
required

The product code defined by the partner identified by partner code.

Maximum string length: 128
createdDate
string<datetime>
required

The timestamp (ISO 8601 format) when the partner service provisioning information record was created.

serviceStatus
enum<string>
required

Status of the partner service MarketONE information. UNPROVISIONED indicates that the record was created by the callback response was not received. INACTIVE indicates the provisioning callback was sucesfully received by the partner service, but it has not been claimed by any service user yet. ACTIVE indicates that the service entitlement has been sucesfully provisioned, and a partner service user has claimed it. CANCELLATION-IN-PROGRESS indicates that the a de-provisioning request is pending. CANCELLED indicates that the de-provisioning request confirmation has been received.

Available options:
UNPROVISIONED,
INACTIVE,
ACTIVE,
CANCELLATION-IN-PROGRESS,
CANCELLED,
UPDATE-IN-PROGRESS,
PAUSED,
PAUSE-IN-PROGRESS,
RESUME-IN-PROGRESS
Maximum string length: 50
account
object
subscriptionId
string

The id subscription associated with this partner service.

Maximum string length: 128
externalPartnerSubscriptionId
string

The identifier returned by the partner from the "AddSubscription" callback.

Maximum string length: 256
partnerCode
string

The partner code as set by the partner admin in MarketONE.

Maximum string length: 15
quantity
integer

represents the quantity that this entitlement should enable. Required for products with QUANTITY entitlementType.

Example:

500

updatedDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.

startServiceDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was created.

endServiceDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.

activatedDate
string<datetime>

The timestamp (ISO 8601 format) when the partner subscription was activated (optional)